	//----------TSelfScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TSelfScore 
        /// </summary>
		[Table("TSelfScore")]
        public partial class TSelfScore: BaseEntity        {    
		                    /// <summary>
                /// 编号
                /// </summary>    
				
				[Display(Name="编号")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 任务编号
                /// </summary>    
				
				[Display(Name="任务编号")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// 用户编号
                /// </summary>    
				
				[Display(Name="用户编号")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 本月完成情况总结
                /// </summary>    
				
				[Display(Name="本月完成情况总结")]   
								[Column("SummaryContent")]   
				[DataMember]  
			    public string SummaryContent  {get;set;}   
                                /// <summary>
                /// 任务完成的优点分析
                /// </summary>    
				
				[Display(Name="任务完成的优点分析")]   
								[Column("AdvantageContent")]   
				[DataMember]  
			    public string AdvantageContent  {get;set;}   
                                /// <summary>
                /// 需改进方面
                /// </summary>    
				
				[Display(Name="需改进方面")]   
								[Column("InsufficientContent")]   
				[DataMember]  
			    public string InsufficientContent  {get;set;}   
                                /// <summary>
                /// 下月安排
                /// </summary>    
				
				[Display(Name="下月安排")]   
								[Column("ArrangeContent")]   
				[DataMember]  
			    public string ArrangeContent  {get;set;}   
                                /// <summary>
                /// 自评
                /// </summary>    
				
				[Display(Name="自评")]   
								[Column("AssessmentContent")]   
				[DataMember]  
			    public string AssessmentContent  {get;set;}   
                                /// <summary>
                /// 领导评价
                /// </summary>    
				
				[Display(Name="领导评价")]   
								[Column("AppraiseContent")]   
				[DataMember]  
			    public string AppraiseContent  {get;set;}   
                                /// <summary>
                /// 领导评分
                /// </summary>    
				
				[Display(Name="领导评分")]   
								[Column("AppraiseScore")]   
				[DataMember]  
			    public decimal? AppraiseScore  {get;set;}   
                                /// <summary>
                /// 评分时间
                /// </summary>    
				
				[Display(Name="评分时间")]   
								[Column("AppraiseTime")]   
				[DataMember]  
			    public DateTime? AppraiseTime  {get;set;}   
                                /// <summary>
                /// 评分人编号
                /// </summary>    
				
				[Display(Name="评分人编号")]   
								[Column("AppraiseUserID")]   
				[DataMember]  
			    public string AppraiseUserID  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TSelfScore 
            /// </summary>
            public class TSelfScoreMap : EntityTypeConfiguration<TSelfScore>
			{
                public TSelfScoreMap()
                {
					this.ToTable("TSelfScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID").IsRequired();
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.SummaryContent).HasColumnName("SummaryContent");
													 this.Property(t => t.AdvantageContent).HasColumnName("AdvantageContent");
													 this.Property(t => t.InsufficientContent).HasColumnName("InsufficientContent");
													 this.Property(t => t.ArrangeContent).HasColumnName("ArrangeContent");
													 this.Property(t => t.AssessmentContent).HasColumnName("AssessmentContent");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.AppraiseContent).HasColumnName("AppraiseContent");
													 this.Property(t => t.AppraiseScore).HasColumnName("AppraiseScore");
													 this.Property(t => t.AppraiseTime).HasColumnName("AppraiseTime");
													 this.Property(t => t.AppraiseUserID).HasColumnName("AppraiseUserID");
										}
			}**/

	}

	//----------TSelfScore结束----------

	